Subject: bug#40790: closed (Re: bug#40790: OOM error in graphical installer tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Apr 2020 08:22:02 +0000

Your bug report

#40790: OOM error in graphical installer tests.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40790: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40790: OOM error in graphical installer tests.
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Apr 2020 10:21:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> Can we throw a little bit more memory at it?  :-)

That's what I did with ae1a0f758 :)

> Is there a commit that trigger this failure?

I didn't have the courage to bisect it, given how long this test
is. Fixing it, I discovered two more issues:

* "sherpherd services" test was failing because a wrong swap device was
  used (fixed with be3abf28a).

* I have some hangs when doing the final testing in marionette. Still
  trying to understand why.

Thanks,

Mathieu

Subject: OOM error in graphical installer tests.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Thu, 23 Apr 2020 11:49:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The "gui-installed-os" test fails on master because "guix system init"
command is OOM killed. Log of the failure is attached.

Thanks,

Mathieu